<?php $jsRoot = $config->webRoot . "js/";?>
<script src="<?php echo $jsRoot . 'chartjs/chart.2.9.4.min.js'?>"></script>

<table class='table active-disabled'>
  <tr class='text-top'>
    <td>
      <div class='chart-wrapper text-center'>
        <h5><?php echo $chartTitle;?></h5>
        <div class='chart-canvas'>
          <?php $height = $longBlock ? '200' : '400';?>
          <canvas name="<?php echo 'chart-' . $type;?>" width='800' height='<?php echo $height;?>' data-responsive='true'></canvas>
        </div>
      </div>
    </td>
  </tr>
</table>

<?php js::set('data', $data);?>
<?php js::set('type', $type);?>
<script>
var options =
{
    layout: {padding:{top: 20}},
    hover:  {animationDuration: 0},

    animation:
    {
        duration: 1,
        onComplete: function()
        {
            var that          = this;
            var chartInstance = that.chart;
            var ctx           = chartInstance.ctx;
            ctx.font          = Chart.helpers.fontString(Chart.defaults.global.defaultFontSize, Chart.defaults.global.defaultFontStyle, Chart.defaults.global.defaultFontFamily);
            ctx.textAlign     = 'center';
            ctx.textBaseline  = 'bottom';
            that.data.datasets.forEach(function(dataset, i)
            {
                if(dataset.showData != undefined && !dataset.showData) return;

                chartInstance.controller.getDatasetMeta(i).data.forEach(function (bar, index)
                {
                    if(that._hoverIndex && that._hoverIndex.indexOf('|' + [i, index].join(',') + '|') >= 0) return;

                    var data = dataset.data[index];
                    ctx.fillStyle = data >= 0 ? '#333' : 'red';
                    ctx.fillText(data, bar._model.x, bar._model.y - 5);
                });
            });
        }
    },

    legend:  {display: v.type == 'monthTrade' ? true : false},
    scales:  {yAxes: [{ticks: {beginAtZero: true}}]},
    onHover: function(event, elements)
    {
        var hoverIndexes = [];
        if(elements.length)
        {
            for(var i = 0; i < elements.length; i++)
            {
                var element = elements[i];
                hoverIndexes.push([element._datasetIndex, element._index].join(','));
            }
        }
        this._hoverIndex = hoverIndexes.length ? '|' + hoverIndexes.join('|') + '|' : '';
    }
};

$(function()
{
    /* Adjust yearprofit block height. */
    if(v.type == 'yearProfit')
    {
        var height = '590';
        if($(document).width() < 1500) height = '370';
        $('[name=chart-yearProfit]').attr('width', '800').attr('height', height);
    }

    for(var i = 0; i<document.getElementsByName('chart-' + v.type).length; i++)
    {
        var ctx     = document.getElementsByName('chart-' + v.type)[i].getContext('2d');
        var myChart = new Chart(ctx,
        {
            type: 'bar',
            data: v.data,
            options: options
        });
    }
});
</script>
